Form 1120
curl --request POST \
--url https://sandbox.tight.com/v6/reports/form1120 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"year": 2025,
"taxSetup": {
"countryCode": "USA",
"state": "DC",
"filingStatus": {
"federal": "SINGLE",
"state": "SINGLE"
},
"annualW2Income": 1000000,
"withholding": {
"useWithholding": true,
"federalWithholding": 100051,
"stateWithholding": 100051
},
"numExemptions": 1,
"tipIncome": 500000,
"overtimeIncome": 300000,
"homeOffice": {
"useHomeOfficeDeduction": true,
"homeOfficeArea": 250.5
},
"mileage": {
"useEstimate": true,
"estimate": 1000,
"useMileageDeduction": false,
"vehicleBusinessPercent": "49.9"
},
"expenses": {
"useEstimate": true,
"estimate": 55176
},
"income": {
"useEstimate": true,
"estimate": 55176
},
"isSetupComplete": true
}
}
'import requests
url = "https://sandbox.tight.com/v6/reports/form1120"
payload = {
"year": 2025,
"taxSetup": {
"countryCode": "USA",
"state": "DC",
"filingStatus": {
"federal": "SINGLE",
"state": "SINGLE"
},
"annualW2Income": 1000000,
"withholding": {
"useWithholding": True,
"federalWithholding": 100051,
"stateWithholding": 100051
},
"numExemptions": 1,
"tipIncome": 500000,
"overtimeIncome": 300000,
"homeOffice": {
"useHomeOfficeDeduction": True,
"homeOfficeArea": 250.5
},
"mileage": {
"useEstimate": True,
"estimate": 1000,
"useMileageDeduction": False,
"vehicleBusinessPercent": "49.9"
},
"expenses": {
"useEstimate": True,
"estimate": 55176
},
"income": {
"useEstimate": True,
"estimate": 55176
},
"isSetupComplete": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
year: 2025,
taxSetup: {
countryCode: 'USA',
state: 'DC',
filingStatus: {federal: 'SINGLE', state: 'SINGLE'},
annualW2Income: 1000000,
withholding: {useWithholding: true, federalWithholding: 100051, stateWithholding: 100051},
numExemptions: 1,
tipIncome: 500000,
overtimeIncome: 300000,
homeOffice: {useHomeOfficeDeduction: true, homeOfficeArea: 250.5},
mileage: {
useEstimate: true,
estimate: 1000,
useMileageDeduction: false,
vehicleBusinessPercent: '49.9'
},
expenses: {useEstimate: true, estimate: 55176},
income: {useEstimate: true, estimate: 55176},
isSetupComplete: true
}
})
};
fetch('https://sandbox.tight.com/v6/reports/form1120', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"url": "<string>",
"meta": {
"title": "<string>",
"generatedOn": "2023-11-07T05:31:56Z",
"generatedBy": "John Doe",
"footerLine": "Generated by Tight"
}
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Tax Forms
Form 1120
Generate a Form 1120 tax form
POST
/
v6
/
reports
/
form1120
Form 1120
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
⌘I